Creates or fully updates an existing listings item for a seller

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sellerIdstringRequired
Seller identifier
skustringRequired
Seller SKU identifying the listing

Query parameters

marketplaceIdslist of enumsRequired
Allowed values:
issueLocalestringOptionalDefaults to en_US

Request

This endpoint expects an object.
productTypestringRequired
Walmart product type for the listing
attributesmap from strings to anyRequired
JSON object of product attributes matching the product type definition schema
requirementsenumOptionalDefaults to LISTING

Response

Successfully submitted
skustring
statusenum
submissionIdstringOptional
issueslist of objectsOptional

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error